import * as _nuxt_schema from '@nuxt/schema';

interface TourOptions {
    /**
     * The prefix to use for the component name
     *
     * @default "V"
     */
    prefix?: string;
    /**
     * Inject the default sass file
     *
     * Feel free to create your own 🙂. Just get the class names correct
     *
     * @default true
     */
    injectSass?: boolean;
    /**
     * The prefix to use for the nuxt-icon-tw component
     *
     * These icons can be displayed on the buttons of the tour
     *
     * @see Iconify https://icones.js.org/ for all eligible icons
     *
     * @see https://nuxt.com/modules/icon-tw for module options
     *
     * @default ""
     */
    iconPrefix?: string;
}
declare const _default: _nuxt_schema.NuxtModule<TourOptions>;

export { type TourOptions, _default as default };
